# Generated by Makefile. Do not edit.

 * 2011-12-18  Hans Breuer  <hans@breuer.org>  5528ab1

Dia 0.97.2 - bug-fix release (NEWS)


 * 2011-06-02  Hans Breuer  <hans@breuer.org>  fc367cd

Bug 618359 - Autrouting adjustment for arrowheads

Easy fix by reusing extra_spacing.(start|end)_trans, i.e. information
already available to the autoroute functions by OrthConn*.

 * 2011-06-06  Hans Breuer  <hans@breuer.org>  cfb4b13

Bug 622315 - multiplicity labels overlap with association name

Looks like the original attempt for bug 143891 did not go far enough.
I did not manage to overlap multiplicity labels with the class box, though.
(cherry picked from commit 57faf505d0ccaea7b98ef234828eae3d04162349)

 * 2010-07-30  Hans Breuer  <hans@breuer.org>  b78104a

Bug 625616 - fig export has wrong threshold for linewidth mapping

See also: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590857
(cherry picked from commit 2e40104c80f5fcf4f3c4e32dfbbacef12af72276)

 * 2011-06-05  Hans Breuer  <hans@breuer.org>  8665713

Bug 649450 - Warning message instead of python backtrace

The SVG importer is limited, e.g. when parsing path data.
It stayed this way but now produces a more understandable
error message.
(cherry picked from commit ef1e4dac749648ef6a3f1712ac6a9aa756c04c3a)

 * 2011-12-17  Hans Breuer  <hans@breuer.org>  cd76f66

Bug 663047 - Replace and Match all don't work together

The reporter could make it crash, I simply couldn't make it work.
For the described case of non-flat property values the code would
need to be much more elaborated so Match all is disabled for the
Replace case.

 * 2011-12-17  Hans Breuer  <hans@breuer.org>  d93b671

Bug 665648 - SVG contains invalid CSS, font-size issue with Firefox

Thanks to https://bugzilla.mozilla.org/show_bug.cgi?id=707071#c4
there now is an acceptable solution for the long-time font-size
problem with Firefox - just moving the font-size out of the style
attribute into it's own attribute allows to keep it w/o unit.

 * 2011-12-11  Hans Breuer  <hans@breuer.org>  3d450ec

Bug 611374 : don't crash on delete while moving

Manually merged from master.

 * 2011-12-06  Steffen Macke  <sdteffen@sdteffen.de>  a87327d

Bug #656137 - Application crashes on Mac OS 10.7 Lion


 * 2011-11-23  Jiro Matsuzawa  <jmatsuzawa@src.gnome.org>  963a530

Updated Japanese translation


 * 2011-11-21  Yuri Myasoedov  <omerta13@yandex.ru>  6c440f2

Updated Russian translation


 * 2011-10-03  Tiffany Antopolski  <tiffany.antopolski@gmail.com>  21ccc94

Add Esperanto translation


 * 2011-10-01  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>  b4e003f

Updated Traditional Chinese translation(Hong Kong and Taiwan)


 * 2011-01-08  Hans Breuer  <hans@breuer.org>  1c34f79

Revert part of fix for bug 637462 burning CPU on win32

An idle handler to be removed shall return FALSE, I should have
read the API documentation or leave this part untouched.
Strangely enough this only caused 100% on win32, probably the
GSource implementation on *NIX is implemented more efficient.
(cherry picked from commit 1078d6a6d63522c8afd840c21ba49d2ef9e9eb40)

 * 2010-07-16  Hans Breuer  <hans@breuer.org>  cac07ef

Bug 619246 -  Pressing some keys while drawing can freeze the GUI

The correct solution would probably include some extra mode "while drawing" to disable the switching of tools than. But the "freeze" is caused by not releasing the pointer grab, and that should finally be done when freeing the tool.
(cherry picked from commit fbfe7ef7057a670b164b23e5d60fd37bc2141284)

 * 2010-05-15  Hans Breuer  <hans@breuer.org>  63554f4

Bug 616609 - Don't crash on files with empty groups

Make the code conform to the comment /* don't create empty groups */.
Otherwise later operations will crash on these.
(cherry picked from commit 50b5d9192af8bb6431aa61e0aad51929ce9a9604)

 * 2010-08-21  Hans Breuer  <hans@breuer.org>  e166042

Bug 627549 - UML Object dialog width not computed right for attributes

Add the missing call to actually calculate Text::max_width
(text_calc_boundingbox)
(cherry picked from commit 20e2271e1670f52e5f6ac1f806dc4f80a81b39a5)

 * 2011-01-07  Hans Breuer  <hans@breuer.org>  b85a0de

Bug 637462 - Dynamic objects create useless wakeups

No timed wakeup at all if there are no dynamic objects in use. After all
they are mostly an easter-egg and there is only one implementation delivered
with Dia.
(cherry picked from commit 5d2156d9e8b6b16df8c25f3cba6bb058d9e45df4)

 * 2011-01-28  Hans Breuer  <hans@breuer.org>  f53a2a5

Bug 640605 - Page margin limits not considering units

With "Preferences/Length unit" set to something else than Centimeter
the limit adjustment of margin edit controls was bogus. With a small
helper function
(cherry picked from commit f539025825eda946e514ffe2d882c7cd6729ab7d)

 * 2011-06-14  Hans Breuer  <hans@breuer.org>  b435e36

Explicit extents update for text editing

An empty text object does not contribute to the overall
diagram extent for some while. Also there was only recalculation
of the extent after movement of object or handle. As a result the
overall diagram extent did not include text objects until they
were moved.
(cherry picked from commit 907d2afd3390cb3c4533a2a0db108186d718d551)

 * 2011-08-28  Martin Srebotnjak  <miles@filmsi.net>  8594efe

Updated Slovenian translation


 * 2011-08-26  Kjartan Maraas  <kmaraas@gnome.org>  820cc8d

Updated Norwegian bokmål translation


 * 2011-07-13  Joe Hansen  <joedalton2@yahoo.dk>  7850ac6

Updated Danish translation


 * 2011-06-19  Steffen Macke  <sdteffen@sdteffen.de>  718aea2

Windows installer: Place a copy of the GPL in the installation folder


 * 2011-05-31  Christian Kirbach  <Christian.Kirbach@googlemail.com>  043bc8e

[l10n] Updated German translation


 * 2011-05-29  Steffen Macke  <sdteffen@sdteffen.de>  42c3b9d

Ignore generated Info.plist file.


 * 2011-03-27  Hans Breuer  <hans@breuer.org>  37fb854

Add C++ guards, to make wmf plug-in link on win32

This is a fix for the fix:

Commit:15dd90da6635d5d8d36546f6a0524f6c03c30179
* Newer gcc chokes on cascaded extern "C"
error: template with C linkage ...
(cherry picked from commit feeefe286b7aa9184c78241fc43a10453b8397bd)

 * 2011-04-25  Hans Breuer  <hans@breuer.org>  b354706

doc: bug 632660 - help update for text editing

There are more changes done on the manual since 2009,
so update revision info, too.

 * 2011-04-21  Steffen Macke  <sdteffen@sdteffen.de>  e685301

Removed unused script, added Mac icon to distribution.


 * 2011-04-21  Steffen Macke  <sdteffen@sdteffen.de>  849eeed

Icon and splash logo for the DMG build.


 * 2011-04-20  Steffen Macke  <sdteffen@sdteffen.de>  bd007e0

Bug 644488 - use Mac locale from DMG


 * 2011-04-19  Steffen Macke  <sdteffen@sdteffen.de>  b2c971e

Adding more required files to the DMG.


 * 2011-04-18  Steffen Macke  <sdteffen@sdteffen.de>  8ca9675

Continued work on Mac OS X DMG build automation.


 * 2011-04-17  Steffen Macke  <sdteffen@sdteffen.de>  aaa6146

File is used in the Mac DMG.


 * 2011-04-16  Steffen Macke  <sdteffen@sdteffen.de>  b909292

Fixed typo


 * 2010-04-11  Steffen Macke  <sdteffen@sdteffen.de>  fead11c

Added files to build App and dmg on Mac OS X.


 * 2011-04-03  Hans Breuer  <hans@breuer.org>  831fba8

Single configuration file for msvc build dependencies

To simplify switching between different dependency version
the inclusion of $(TOP)\glib\build\win32\make.msc is done
by a single file dia-make.msc.
This should not change anything for people having only one
GLib version installed.

 * 2010-07-29  Hans Breuer  <hans@breuer.org>  93169df

Bug 610530 - Don't use LOCALMODLIBS from Python for linking

Stop failing to link on Debian and derivates.
(cherry picked from commit 2edec01c98ff66ebb03d59c62196612917c501a1)

 * 2011-03-13  Steffen Macke  <sdteffen@sdteffen.de>  918f7e2

Bug 644488 - Env var DIA_LOCALE_PATH to specify locale file location


 * 2011-03-11  Hans Breuer  <hans@breuer.org>  59b0a4d

Newer gcc chokes on cascaded extern "C"

error: template with C linkage ...

 * 2011-02-27  Hans Breuer  <hans@breuer.org>  a2c95b3

Bug 642764 - use png_jmpbuf() rather than direct member access

Fix from Hanno Boeck to make Dia compile with libpng 1.5
https://bugzilla.gnome.org/show_bug.cgi?id=642764
(cherry picked from commit 8e28086b95578d17386c3be9aea132064be829a0)

 * 2011-03-12  Hans Breuer  <hans@breuer.org>  7b1fa44

Adjust number of maintainers (there is only one left)


 * 2011-02-20  Steffen Macke  <sdteffen@sdteffen.de>  ae96867

Two DLL name updates for current gtk+-bundle_2.16.6-20100912_win32.zip


 * 2011-02-20  Daniel Mustieles  <daniel.mustieles@gmail.com>  c31c85f

Updated Spanish translation


 * 2011-01-28  Steffen Macke  <sdteffen@sdteffen.de>  c478033

Reflecting translation updates for the win32 installer.


 * 2011-01-28  Steffen Macke  <sdteffen@sdteffen.de>  3b2d47d

Fixed line breaks in installer locale builds. Encoding problem with Korean file.


 * 2011-01-27  Steffen Macke  <sdteffen@sdteffen.de>  fa92713

Preparing for 0.97.2 release.


 * 2011-01-27  Steffen Macke  <sdteffen@sdteffen.de>  d5f0f5d

Added Spanish locale generation for NSIS installer.


 * 2011-01-27  Steffen Macke  <sdteffen@sdteffen.de>  1d80736

Makefiles to generate the installer locales


 * 2011-01-07  Hans Breuer  <hans@breuer.org>  08aa684

Prepare dia-0.97.2 release


 * 2010-01-13  Hans Breuer  <hans@breuer.org>  5c191f4

More color for SADT


 * 2009-09-19  Hans Breuer  <hans@breuer.org>  b69223d

Bug #581868 - dia -t tex file.dia export

Unique names for 'pgf-tex' and 'pstricks-tex' to allow
to select the filter to use when both tex exporters
are active.

 * 2010-08-04  Hans Breuer  <hans@breuer.org>  c00c6bc

Bug 540210 -  Improved zoom behavior for ctrl+mouse wheel

Basically the patch from Ithai Levi, but implemented in a new function (ddisplay_zoom_centered) to not interfere with other
zoom use cases.

 * 2011-01-07  Hans Breuer  <hans@breuer.org>  21fecba

Bug 637611 - Mangled SVG import (incomplete line-to handling)

There is a serious limitation with Dia's standard bezier serialization.
It can only represent a single move-to at the beginning and following
bezier points are assumed to be curve-to.
There is a more complete implementation by data_add_bezpoint and
data_bezpoint, but using that would hamper forward compatibility.

So implemented a work-around in dia_svg_parse_path() which reproduces
line-to appearance also by curve-to control points.

 * 2010-12-11  Hans Breuer  <hans@breuer.org>  293edab

Bug 637047 - SVG font name is sans-serif, not sanserif

Tested with render-test the font name change indeed makes the
Dia "sans" fonts appear w/o serifs. There is still something
wrong with the font size, but that seems independent.

To make compatibility with old and new (shape-)files both
"sanserif" and "sans-serif" are translated to the internal
"sans".

 * 2010-10-29  Hans Breuer  <hans@breuer.org>  d8f2bc9

Bug 633430 - Memory corruption when exporting to Xfig

(figText) : the escaping of backslash was not considered in new
string calculation.

 * 2010-10-17  Hans Breuer  <hans@breuer.org>  895a275

Bug 632175 - No arrow draw with invalid coordinates

The cairo renderer was rightly complaining about invalid transformations
caused by a line with length 0 - created by the mainpoint being to greedy.
Fixed hopefully all occurrences where invalid coordinated where produced
by 0/0

 * 2010-06-03  Hans Breuer  <hans@breuer.org>  3423950

Bug 619855 - Dash length ignored when exporting (with cairo)

The implementation of DiaCairoRenderer was relying on the wrong sequence of DiaRenderer::set_dashlength() and DiaRenderer::set_linestyle(). Now using the set dash-length is independent of the calling sequence (though slightly less efficient).

 * 2010-07-27  Hans Breuer  <hans@breuer.org>  e347acf

Bug 614134 -  align attribute of textboxes does not work

The text_align given from the shape file was not used when creating new_text() of the custom object.

 * 2010-07-27  Hans Breuer  <hans@breuer.org>  aa4cffd

Bug 614089 - crashes with <default-width> in the shape file

Searching of the unit was done with the wrong index and thus the result did depend on the number of connection points.

 * 2010-01-24  Hans Breuer  <hans@breuer.org>  74df7ca

Bug 607655 - Arcs are badly exported (sometimes)

The large-arc flag was not correctly calculated for angle1>angle2

 * 2010-10-20  Hans Breuer  <hans@breuer.org>  5ecbef4

Bug 607564 - custom shape svg:text elements positioned wrong

custom_distance_from(), custom_draw() and custom_update_data() are
modifying the conceptionally const display_list, i.e. the Text object
contained (shared between all object instances), but update_data was
not restoring the previous state.

 * 2009-11-08  Hans Breuer  <hans@breuer.org>  944a66a

Bug 594891 - Print pagination relative to extents, not origin

There was a mismatch between "page guides" and the actual pagination,
now the page guides give a good estimate of the placement when
printed (PDF exported).

Signed-off-by: Hans Breuer <hans@breuer.org>

 * 2010-10-29  Hans Breuer  <hans@breuer.org>  0f03a34

[build] Decouple --enable-debug and --enable-deprecation

There wont be any more deprecation work on dia-0-97 but
maybe some debugging ;)

 * 2010-08-03  Hans Breuer  <hans@breuer.org>  9a6ceb2

Fix Python detection for my gentoo box

Also updated to a more relevant Python version. I seriously doubt Dia
would still work with Python 1.5.2, but I'm sure it does with 2.3

 * 2010-01-31  Hans Breuer  <hans@breuer.org>  19f6141

Bug 581533 - checking for libpython2.6.a

Original patch from Roman Perier <mrpouet@gentoo.org> but keeping
part of the original code to also work for Python 2.5

 * 2010-11-03  Γιώργος Στεφανάκης  <george.stefanakis@gmail.com>  2370cbc

l10n: Updated Greek translation for dia


 * 2010-11-01  Ricardo Cruz  <rpmcruz@alunos.dcc.fc.up.pt>  48b2987

Updated Portuguese translation


 * 2010-10-29  Carles Ferrando  <carles.ferrando@gmail.com>  44bc4b2

Updated Catalan (Valencian) translation


 * 2010-10-29  Joe Hansen  <joedalton2@yahoo.dk>  4ed75bf

Updated Danish translation


 * 2010-10-24  Mario Blättermann  <mariobl@gnome.org>  631ec2f

[i18n] Updated German translation, fixed bug #633035


 * 2010-10-13  Takayuki KUSANO  <AE5T-KSN@asahi-net.or.jp>  15cc2da

Updated Japanese translation


 * 2010-10-02  Christian Kirbach  <Christian.Kirbach@googlemail.com>  8eb142d

[i18n] Updated German translation


 * 2010-09-22  Petr Kovar  <pknbe@volny.cz>  45eff4c

Update Czech translation by Marek Cernocky


 * 2010-06-06  Xandru Armesto  <xandru@softastur.org>  e40b8d8

Updated asturian translation


 * 2010-06-06  Xandru Armesto  <xandru@softastur.org>  28c37ea

Updated asturian translation


 * 2010-06-06  Xandru Armesto  <xandru@softastur.org>  7d2001c

Added asturian language


 * 2010-05-24  Christian Kirbach  <Christian.Kirbach@googlemail.com>  700f477

Updated German translation


 * 2010-05-02  Cristian Secară  <cristi@secarica.ro>  339e45d

Updated Romanian translation


 * 2010-04-20  Joe Hansen  <joedalton2@yahoo.dk>  cd9e19e

Updated Danish translation


 * 2010-04-02  Martin Srebotnjak  <miles@filmsi.net>  f77ab73

Updated Slovenian translation


 * 2010-03-29  Inaki Larranaga Murgoitio  <dooteo@zundan.com>  8404b1d

Updated Basque language


 * 2010-03-23  Christian.Kirbach  <Christian.Kirbach@googlemail.com>  88333d9

Updated German translation


 * 2010-03-20  Jin-Hwan Jeong  <yongdoria@gmail.com>  160b8e7

Updated Korean translation


 * 2010-03-16  Inaki Larranaga  <dooteo@zundan.com>  79305c9

Updated Basque translation


 * 2010-03-05  Antón Méixome  <meixome@mancomun.org>  d908df4

Updated Galician translation


 * 2010-02-13  Mario Blättermann  <mariobl@gnome.org>  3b0917d

Updated German translation


 * 2010-02-02  Steffen Macke  <sdteffen@sdteffen.de>  fe14a79

Delete registry key that gets created indirectly. Thanks to Bart for noticing.


 * 2010-01-30  Steffen Macke  <sdteffen@sdteffen.de>  97a732f

Updated logo in installer intro screen


 * 2010-01-26  Jorge González  <jorgegonz@svn.gnome.org>  c534d1e

Updated Spanish translation


 * 2010-01-25  Steffen Macke  <sdteffen@sdteffen.de>  7c3d2d7

Don't include the english documentation twice


 * 2010-01-17  Steffen Macke  <sdteffen@sdteffen.de>  03d4b24

Added some additional pixbuf loaders. Added gdk-pixbuf.loaders generation.


 * 2010-01-13  Steffen Macke  <sdteffen@sdteffen.de>  465ddbe

Add librsvg support to the pixbuf loader, enable SVG in standard image object.


 * 2009-11-09  Steffen Macke  <sdteffen@sdteffen.de>  a4830f7

Added Southern Catalan to win32 build.


 * 2009-08-12  Steffen Macke  <sdteffen@sdteffen.de>  1fae586

dia-win-remote.exe was unable to locate Dia with the integrated UI.


 * 2010-01-25  Takeshi AIHANA  <takeshi.aihana@gmail.com>  d1e8c8e

Updated Japanese translation.


 * 2010-01-24  Hans Breuer  <hans@breuer.org>  febb06a

Bug fix release dia 0.97.1

http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.97.1

 * 2010-01-24  Steffen Macke  <sdteffen@sdteffen.de>  fb2858b

Bug 570592 - URI-encodes filenames passed from dia-win-remote to diaw

The command line has to have locale encoding, usually not utf-8 on
windows. To pass filenames not representable in the locale encoding
they have to be encoded as URIs (ASCII charset is assumed to be
representable in every locale).

 * 2010-01-24  Hans Breuer  <hans@breuer.org>  8c17225

Bug 570592 - allow to pass filenames as URIs

The command line has to have locale encoding, usually not utf-8 on windows. To pass filenames not representable in the locale encoding hey have to be encoded as URIs (ASCII charset is assumed to be representable in every locale).
(cherry picked from commit 9a5f438d4b3e718c8ab0efe01d08ee2c3a0d9a86)

 * 2009-12-05  Hans Breuer  <hans@breuer.org>  158399a

Bug 570592 - Cannot open or save with localized path

Use G_OPTION_ARG_FILENAME to get filenames by command line arguments in the right encoding. Provide G_OPTION_ARG_CALLBACK for input and output directory processing. Inline process_opts() to simplify the code.
(cherry picked from commit aa5210d4e5ed919be127b08f5b508b2f7093e430)

 * 2010-01-24  Hans Breuer  <hans@breuer.org>  ed7169a

Remove superfluous include of <lib/filter.h>

Mysteriously it breaks 'make distcheck' in plug-ins/libart but it was the only inclusion of this kind anyway.
(cherry picked from commit c039190bd64a84e85b969614bf6256a179f08cca)

 * 2010-01-06  Jorge González  <jorgegonz@svn.gnome.org>  5580ade

Updated Spanish translation


 * 2009-12-27  Hans Breuer  <hans@breuer.org>  de23bfd

Simple context menu also for selection of objects

We can offer the Properties entry also for multiple selected
objects since Sameer's work on group properties.
(cherry picked from commit 55d3b2604d91667de9c071a8253ae3bcc7df22db)

 * 2009-12-14  Hans Breuer  <hans@breuer.org>  304e2c4

Fix endless loop in dictprop_load() (cherry picked from commit 1203a00efe2e3ca6dfb92c75f1abb075683497b1)


 * 2009-12-27  Hans Breuer  <hans@breuer.org>  e089adb

Bug 604474 - Outline blanking issue with e.g. Hash symbol

outline.c : some insignificant off-by-one errors and typos
geometry.c(line_crosses_ray) : used by distance_bez_shape_point() but did not consistently count. Thus the detection of the point being inside of the given area did not work reliably.
(merged from master)

 * 2009-12-05  Hans Breuer  <hans@breuer.org>  b5d3b02

Bug 603576 - wrong decimal separator with vdx

Temporarily switch to LC_NUMERIC, "C" in import and export callback.
(cherry picked from commit 5786137095d49a0064cfe1bfe18865383bdc9908)

 * 2009-12-05  Hans Breuer  <hans@breuer.org>  a15591e

Fix unconditional dia_font_unref(renderer->font) (cherry picked from commit c6d293737f44acc1d4c963a80445abc28a195ab2)


 * 2009-12-05  Hans Breuer  <hans@breuer.org>  b6f9bbb

Bug 587218 - endless loop with cairo

The change ensures a minimum line width of one device unit to be
given to cairo. Also the minimum dash length is limited as a
workaround for cairo version before 1.10, see:
https://bugs.freedesktop.org/show_bug.cgi?id=24702
(cherry picked from commit d47f096f810179451b3df962b88d946f7debeb84)

 * 2009-11-27  Hans Breuer  <hans@breuer.org>  6c05993

Bug 603004 - Exporting a document to png without --size crashes

Only show the size dialog when running interactive. Introduces a dependencies to app/ but crashing is worse.
(cherry picked from commit 93f1efad1e0336da83bd3789a0c8e505b0daac6c)

 * 2009-11-24  Hans Breuer  <hans@breuer.org>  d1bc0b9

Bug 602845 - '&' character disappears during SVG and Dia Shape export

Need to use xmlNexTextChild rather than xmlTextChild. The latter only translates to &lt; and &gt; but not &amp;.
(cherry picked from commit 53b7d2474ce171bfdc841438067aac8df3a93c6c)

 * 2009-11-09  Carles Ferrando  <carles.ferrando@gmail.com>  a7cda86

Updated Southern Catalan translation


 * 2009-11-08  Jorge González  <jorgegonz@svn.gnome.org>  d270032

Updated Spanish translation


 * 2009-11-08  Hans Breuer  <hans@breuer.org>  bd284d7

Bug 586303 - Parenting information not exposed to the python API

exposing DiaObject::parent in lack of a better API idea;)
(cherry picked from commit 91e71c7e9d1b27c7e4e79970c3c9be2fb44fdcc5)

 * 2009-10-25  Hans Breuer  <hans@breuer.org>  006ff8c

Bug #599587 - Shape export icon creation fails without libart renderer

1) it still required the libart PNG exporter, although the "size-hack"
  was already converted to the generic export interface
2) the exporter got the shape-exporters user_data, not it's own

 * 2009-11-07  Hans Breuer  <hans@breuer.org>  36ad1c4

Inconsistent line endings


 * 2009-11-07  Hans Breuer  <hans@breuer.org>  bad5530

Toplevel makefile.msc was not cleaning in bindings


 * 2009-11-07  Hans Breuer  <hans@breuer.org>  5124205

Part of bug #599447 - High Contrast Black & Inaccessible Widgets

DiaArrowChooser was wrongly using hardcoded black/white for rendering.
Now it is switched to widget colors to be consistent with
DiaLineChooser and useable with dark themes.
(cherry picked from commit 89287cf7b7c106f03af01b2dc1d769a37e83a484)

 * 2009-10-23  Hans Breuer  <hans@breuer.org>  4844cb7

Bug #590369 - fix rounding to SVG color (cherry picked from commit 76d34272cfdd07b8f365c830ef9741c2e08e8af7)


 * 2009-09-19  Hans Breuer  <hans@breuer.org>  faf82c3

Bug #594877 - Memory leak when writing vdx (cherry picked from commit 72a406b9926e1cd0fb7e120d27ea322a3364936f)


 * 2009-08-24  Steffen Macke  <sdteffen@sdteffen.de>  94fc2e0

Include PGF plugin in win32 build and installer. (cherry picked from commit b4e4d3f0c3f5fa8f3dd66597e09145a88b0812b4)


 * 2009-08-19  Hans Breuer  <hans@breuer.org>  3db893d

Bug #591403 - allow DiaCairoRenderer::set_font() even before call to begin() (cherry picked from commit a913f6f6a49fe0b41efed1ab1a951156e0f3c746)


 * 2009-10-11  Gabor Kelemen  <kelemeng@gnome.hu>  ebb85f9

Updated Hungarian translation


 * 2009-10-11  Gabor Kelemen  <kelemeng@gnome.hu>  24abae4

Updated Hungarian translation


 * 2009-08-29  Inaki Larranaga  <dooteo@zundan.com>  b3a840f

Updated Basque translation


 * 2009-07-26  Hans Breuer  <hans@breuer.org>  eca5335

Bug #589038 - Bashisms in configure

http://bugzilla.gnome.org/show_bug.cgi?id=589038
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Tue, 14 Jul 2009 19:57:25 +0200
Subject: [PATCH] Fix bashism

 * 2009-07-26  Hans Breuer  <hans@breuer.org>  d80b6cd

Bug #589037: make libemf plugin optional (allow --disable-libemf)

http://bugzilla.gnome.org/show_bug.cgi?id=589037
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Tue, 14 Jul 2009 20:17:18 +0200
Subject: [PATCH] Make libemf plugin optional.

 * 2009-07-13  ifelix  <ifelix@redhat.com>  e13cc35

Tamil linguas added


 * 2009-07-13  ifelix  <ifelix@redhat.com>  26d41e4

Updated Tamil Translations


 * 2009-07-07  Hans Breuer  <hans@breuer.org>  84d1b46

Bug #587967 - line artifacts with ellipse


 * 2009-07-05  Hans Breuer  <hans@breuer.org>  5e10327

More consistent case (spelling)


 * 2009-07-05  Hans Breuer  <hans@breuer.org>  ad560f2

Bug #581380 - memory leak with libart renderer

Patch from Jason Childs. The deprecated dia_font_push_context()/
dia_font_pop_context() had a superfluous call to dia_font_init()
"not needed, just testing" which resulted in a fast growing
memory leak, when using the almost deprecated libart renderer.

 * 2009-07-04  Hans Breuer  <hans@breuer.org>  30d8ece

Fix copy and paste translation bug


 * 2009-06-30  Sandeep Shedmake  <sshedmak@redhat.com>  3af577b

Updated Marathi Translations


 * 2009-06-29  Sandeep Shedmake  <sshedmak@redhat.com>  e686c7c

Updated Marathi Translations


 * 2009-06-28  Hans Breuer  <hans@breuer.org>  8fc05fd

Bug #583675 - missing sentinel (cherry picked from commit 65a76d16d1c51cbf438736d303af6fc26df59d6b)


 * 2009-06-28  Hans Breuer  <hans@breuer.org>  c5996a9

Bug #585973 and bug #586921 - Database dialog crash on close (cherry picked from commit 59d925a698b194a7bec6b84072c6c64a59f651f8)


 * 2009-06-27  Jin-Hwan Jeong  <yongdoria@gmail.com>  a11b471

Updated Korean translation


 * 2009-06-24  Sandeep Shedmake  <sshedmak@redhat.com>  03a876e

Updated Marathi Translations


 * 2009-06-22  Sandeep Shedmake  <sshedmak@redhat.com>  90ff9f2

Updated Marathi Translations


 * 2009-06-22  Sandeep Shedmake  <sshedmak@redhat.com>  47759f3

Updated Marathi Translations


 * 2009-06-19  Sandeep Shedmake  <sshedmak@redhat.com>  a7e0ce9

Updated Marathi Translations


 * 2009-06-16  Sandeep Shedmake  <sshedmak@redhat.com>  b705ba0

Updated Marathi Translations


 * 2009-06-07  Mario Blättermann  <mariobl@gnome.org>  93f1986

Updated German translation


 * 2009-06-06  Hans Breuer  <hans@breuer.org>  00819eb

Bug #585004 - implicit declaration of function 'abs'

abs() is coming from stdlib.h rather than from math.h

 * 2009-06-06  Hans Breuer  <hans@breuer.org>  6c4b170

Bug #585004 - implicit declaration of function 'fchmod'

Need to also add _BSD_SOURCE define before inclsuion of sys/stat.h

 * 2009-06-06  Hans Breuer  <hans@breuer.org>  48e2a07

Bug #585004 - implicit declaration of function 'finite'

Define _BSD_SOURCE before inclusion of sys/stat.h

 * 2009-06-06  Hans Breuer  <hans@breuer.org>  46a796f

Bug #585004 - implicit declaration of function 'finite'

To get the definition either _BSD_SOURCE or _SVID_SOURCE needs to
be defined before inclusion of <math.h>

 * 2009-06-06  Hans Breuer  <hans@breuer.org>  d409dba

Bug #585004 - undefined symbol gtk_signal_disconnect_by_data

--enable-debug defines GTK_DISABLE_DEPRECATED which results in
an unresolveable symbol - it is just a deprecated macro.
Fixed by using un-deprecated g_signal_handlers_disconnect_matched()

 * 2009-06-03  Manoj Kumar Giri  <mgiri@mgiri.csb>  441336e

Added Entries for Oriya Translation & addition to LINGUAS.


 * 2009-06-03  Manoj Kumar Giri  <mgiri@mgiri.csb>  df23f8f

Updated Oriya Translation


 * 2009-06-03  Manoj Kumar Giri  <mgiri@mgiri.csb>  5aa9ae6

Added Oriya Language into the List.


 * 2009-05-24  Hans Breuer  <hans@breuer.org>  f46d53b

Hope this gets rid of: you have local changes ...


 * 2009-05-24  Heikki Paajanen  <hepaajan@iki.fi>  6e7fa7e

Bug 582314 - Cairo PNG export doesn't paint the background correctly

Instead of filling an rectangle it uses cairo_paint to clear to surface
(as per http://cairographics.org/FAQ/#clear_a_surface)

Signed-off-by: Hans Breuer <hans@breuer.org>

 * 2009-05-24  Hans Breuer  <hans@breuer.org>  e3cfbc9

Bug 583092 - Wrongly translated string exit dialog

Patch from Heikki Paajanen:
Don't mark cell rendererd property name for translation

 * 2009-05-24  Hans Breuer  <hans@breuer.org>  0253a90

Add 0.97.1 bugs fixed query


 * 2009-05-23  Hans Breuer  <hans@breuer.org>  5347e53

Bug #581531 - Use diagtkrc from the config dir

Use diagtkrc from the config dir instead of current dir.
Patch from Vincent Untz with small modification to not use
dia_config_filename() without protoype.

 * 2009-05-23  Hans Breuer  <hans@breuer.org>  a236ca2

Bug #581177 - work around Python's untrusted search path vulnerability


 * 2009-05-23  Hans Breuer  <hans@breuer.org>  9c6c770

Implement transitive reduction


 * 2009-05-23  Hans Breuer  <hans@breuer.org>  906933b

Bug #583561 - avoid crashing with zero zoom


 * 2009-05-22  Hans Breuer  <hans@breuer.org>  5fa9782

Some updated screenshots


 * 2009-05-22  Hans Breuer  <hans@breuer.org>  5af6c64

Bug #583533 - broken Selection modes


 * 2009-05-11  Hans Breuer  <hans@breuer.org>  1eb7bd3

Working With Selected Objects - removed obsolete tip


 * 2009-05-11  Hans Breuer  <hans@breuer.org>  af390a4

Working With Individual Objects - rewritten to reflect changes in 0.97


 * 2009-05-11  Hans Breuer  <hans@breuer.org>  6516b86

Pure whitespace changes mostly automated


 * 2009-05-10  Hans Breuer  <hans@breuer.org>  e8fbaaa

Add missing <para/> and <title/> to pass docbook validation

Fixing bug #581189 reported by Thomas Dreibholz.
Note to self and everyone who wants to debug stuff like this.
The error:
        doc/en/dia.xml:261: element figure: validity error
can be located by:
        grep -n figure doc/en/*.xml | grep 261
here giving:
        doc/en/usage-customization.xml:261:      <figure>

 * 2009-05-10  Hans Breuer  <hans@breuer.org>  4356431

Bug 581529 - Use xdg-open instead of gnome-open

By Vincent Untz 2009-05-05 22:55 UTC:
Here's a patch to use xdg-open instead of gnome-open, for better
integration when running outside of GNOME.

 * 2009-05-10  Hans Breuer  <hans@breuer.org>  fc7dbf7

Fix harmless build warnings, bug #581542

If the code in plug-ins/drs/dia-render-script-import.c
would actually be used this would indeed be a crash.
Patch from Vincent Untz, bug #581542

 * 2009-05-10  Hans Breuer  <hans@breuer.org>  812d6a1

Fix building with DEBUG_CAIRO

Patch from Heikki Paajanen fixing bug #581615

 * 2009-05-10  Hans Breuer  <hans@breuer.org>  50f240a

Fix unstable bounding box calculation for many Cisco shapes

Perpendicular corners where not always considered pointy joins.
Adapted unit test to special case a lot less objects - bug #568115 -
and presumably fixing bug #581850.

 * 2009-05-10  Hans Breuer  <hans@breuer.org>  9c70b1c

Ensure menu update after leaving text edit with Esc, bug #581499


 * 2009-05-10  Hans Breuer  <hans@breuer.org>  24e52db

Work around Ellipse::move_handle not behaving as expected


 * 2009-05-10  Hans Breuer  <hans@breuer.org>  b3a3220

Comment about slightly broken sizing via DiaObject::move_handle


 * 2009-05-08  Mario Blättermann  <mariobl@gnome.org>  54c9e47

Updated German translation


 * 2009-05-07  Steffen Macke  <sdteffen@sdteffen.de>  57ac75b

Added Korean and Chinese installer locales.


 * 2009-05-06  Steffen Macke  <sdteffen@sdteffen.de>  97855e0

Fix typos in helper program. Add eu, fi and gl installer locales.


 * 2009-05-05  Steffen Macke  <sdteffen@sdteffen.de>  dd36a88

Use *.mo files generated by makefile.msc. Add Spanish installer locale.


 * 2009-05-05  Steffen Macke  <sdteffen@sdteffen.de>  f5ceb04

Add Marathi (mr) to win32 build and installer.


 * 2009-05-05  Steffen Macke  <sdteffen@sdteffen.de>  69e0c29

Don't install the SISSI objects, because they are still alpha.


 * 2009-05-03  Hans Breuer  <hans@breuer.org>  a2b6031

Update for 0.97 final


 * 2009-05-03  Hans Breuer  <hans@breuer.org>  c3f0732

Cancel exiting if the dialog is closed by the Window Manager


 * 2009-05-03  Hans Breuer  <hans@breuer.org>  bc9db5c

Remove empty files if generating them fails


 * 2009-05-03  Hans Breuer  <hans@breuer.org>  1cad81a

'Misc - Measure' did not implement copy/serialize correctly


 * 2009-04-18  Hans Breuer  <hans@breuer.org>  1403ce2

Prefer CAIRO_VERSION_STRING over CAIRO_VERSION_MAJOR


 * 2009-05-03  Hans Breuer  <hans@breuer.org>  cc70bb1

ChangeLog now auto-generated at make-dist-time

See http://live.gnome.org/Git/ChangeLog for reasoning

 * 2009-05-03  Hans Breuer  <hans@breuer.org>  d70321c

My last attempt to fix SISSI resulting in removal from installation

The SISSI objects are considered alpha due to various issues:
 - they use a non-common way of shape definition
 - they do not properly implement the std-props API
 - they us bitmap icons to draw and some of these are not found
 - fixing fialures in 'shape files' does not fix already created
   diagrams (maybe the icon is stored in the diagram?)
 - drawing icons looks like using uninitialized colors
 - the SISSI object configuration dialog has issues
 - some of these issue were already raised in the original
   bug report bgo#355995.  After that was closed the SISSI
   objects were basically unmaintained from the original
   contributor

 * 2009-05-01  Steffen Macke  <sdteffen@sdteffen.de>  c4177ac

Deploy custom_lines.dll and Database.dll. Reflect XPM deletions in installer.


 * 2009-04-26  Takeshi AIHANA  <takeshi.aihana@gmail.com>  b017c2e

Updated Japanese translation.


 * 2009-04-25  Hans Breuer  <hans@breuer.org>  deaed19

Bug #580215 - there were a lot of superfluous xpm installed


 * 2009-04-23  Steffen Macke  <sdteffen@sdteffen.de>  1dc5462

Inlcude kn translations in win32 installer build.


 * 2009-04-23  Steffen Macke  <sdteffen@sdteffen.de>  ddb19f5

For win32 build, add kn to ALL_LINGUAS


 * 2009-04-23  Shankar Prasad  <svenkate@redhat.com>  2032f88

Added Kannada Translation


 * 2009-04-23  Shankar Prasad  <svenkate@redhat.com>  d6d1c00

Added kn to the list


 * 2009-04-23  Shankar Prasad  <svenkate@redhat.com>  d5d41c8

Added Kannada Translation


 * 2009-04-21  Steffen Macke  <sdteffen@sdteffen.de>  9bca443

	* makefile.msc: Adjustments for libart.dll, deploye diaw.exe 	* installer/win32/dia.nsi: Remove drs.dll for the time being, re-add 	libart.dll, adjust for current libart 2.3.20 DLL from ftp.gnome.org


 * 2009-04-21  Steffen Macke  <sdteffen@sdteffen.de>  e8dd3ec

	* sk.po: Translation updates by Slavko Fedorik <slavino@slavino.sk>, fixes 	bug #579078


 * 2009-04-17  Hans Breuer  <hans@breuer.org>  4873ff6

Updated INSTALL, RELEASE-PROCESS and MAINTAINERS

Translated from SVN usage to Git, some spelling corrections

 * 2009-04-17  Steffen Macke  <sdteffen@sdteffen.de>  1c8f036

2009-04-17  Steffen Macke <sdteffen@sdteffen.de>

        * app/commands.c: Updated copyright date

 * 2009-04-17  Hans Breuer  <hans@breuer.org>  7ff2c41

Description for http://git.gnome.org/cgit/


 * 2009-04-17  Hans Breuer  <hans@breuer.org>  aa595bc

Initial set of .gitignore files


 * 2009-04-16  Jorge Gonzalez  <jorgegonz@svn.gnome.org>  28d61d1

Updated Spanish translation


 * 2009-04-15  Steffen Macke  <sdteffen@sdteffen.de>  0df7ff4

cairo, drs, locale build fixes Various updates for 0.97-pre3

2009-04-15  Steffen Macke <sdteffen@sdteffen.de>

	* makefile.msc: cairo, drs, locale build fixes
	* dia.nsi: Various updates for 0.97-pre3

svn path=/trunk/; revision=4384
